Base Module VST 3.7 SDK for developing VST plug-in

Public Member Functions | Public Attributes | List of all members
FArrayDeleter< T > Struct Template Reference

Template definition for classes that help guarding against memory leaks. More...

`#include <fcleanup.h>`

## Public Member Functions
| FArrayDeleter (T *_arrayToDelete)
| Constructor. More...
| ~FArrayDeleter ()
| Destructor. Calls delete[] on the at construction time passed pointer. More...

## Public Attributes
T * | arrayToDelete
| Remembers the array of objects that is to be deleted during destruction. More...

## Detailed Description

template<class T>
struct Steinberg::FArrayDeleter< T >

Template definition for classes that help guarding against memory leaks.

A stack allocated object of this type automatically deletes an at construction time passed dynamically allocated array of objects when it reaches the end of its scope.
Intended usage:

{
int* pointerToIntArray = new int[10];
Steinberg::FArrayDeleter<int> deleter (pointerToIntArray);
// Do something with the array behind pointerToIntArray.
} // No memory leak here, destructor of deleter cleans up the integer array.
Steinberg::Singleton::deleter
struct Steinberg::Singleton::Deleter deleter
Steinberg::FArrayDeleter
Template definition for classes that help guarding against memory leaks.
Definition: fcleanup.h:91

## Constructor & Destructor Documentation

## ◆ FArrayDeleter()

FArrayDeleter | ( | T * | _arrayToDelete | ) |
| inline

Constructor.

_arrayToDelete is a pointer to the dynamically allocated array of objects that is to be deleted when this FArrayDeleter object's destructor is executed.

## ◆ ~FArrayDeleter()

~FArrayDeleter | ( |  | ) |
| inline

Destructor. Calls delete[] on the at construction time passed pointer.

## Member Data Documentation

## ◆ arrayToDelete

T* arrayToDelete

Remembers the array of objects that is to be deleted during destruction.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.